# kluster

Streamlined manager of kubeconfigs.  Inspired by [`k8s-switch`](./archive/k8s-switch).

## Getting Started

* Install the dependencies listed below.
* Build the application: `cargo build`
* Run the application: `cargo run --`
* Run the tests: `cargo test`
* Create a deployable Debian package: `cargo deb`

### Dependencies

* Rust v1.84 and Cargo (use `rustup`)
* cargo-deb: `cargo install cargo-deb`

### Release Notes

When releasing a new version, remember to:

* Update the [CHANGELOG.md](./CHANGELOG.md) using the [Common Changelog format].
* Update the [debian-changelog](debian/changelog.Debian) as per [Debian packaging docs][deb-pkg-docs].

[deb-pkg-docs]: https://www.debian.org/doc/manuals/maint-guide/dreq.en.html#changelog

## TODO

* [ ] Add tests based on `rstest`.
* [ ] Add `import` kubeconfig feature for kluster.
  * [ ] Consider creating an interactive retrieval for Rancher and AWS.
* [ ] Add `remove` kubeconfig feature for kluster.
* [ ] Add `fix` kubeconfig permissions feature for kluster.
